=== modified file 'bzrlib/help_topics/en/rules.txt'
--- bzrlib/help_topics/en/rules.txt	2008-07-02 01:40:02 +0000
+++ bzrlib/help_topics/en/rules.txt	2008-08-14 03:08:42 +0000
@@ -21,11 +21,8 @@
 Files
 -----
 
-Branch-specific rules are defined in ``.bzrrules`` in the root of the
-working tree. Default rules for all branches are defined in
-``BZR_HOME/rules``. Either or both files may be missing. If a rule is
-matched by a pattern in the branch level file, searching stops.
-
+Default rules for all branches are defined in the optional file
+``BZR_HOME/rules``. 
 
 Rule Patterns
 -------------

=== modified file 'bzrlib/tests/tree_implementations/test_iter_search_rules.py'
--- bzrlib/tests/tree_implementations/test_iter_search_rules.py	2008-06-26 06:53:18 +0000
+++ bzrlib/tests/tree_implementations/test_iter_search_rules.py	2008-08-14 03:08:42 +0000
@@ -32,6 +32,7 @@
     def make_tree_with_rules(self, text):
         tree = self.make_branch_and_tree('.')
         if text is not None:
+            self.fail("No method for in-tree rules agreed on yet.")
             text_utf8 = text.encode('utf-8')
             self.build_tree_contents([(rules.RULES_TREE_FILENAME, text_utf8)])
             tree.add(rules.RULES_TREE_FILENAME)
@@ -51,7 +52,7 @@
         self.assertEquals((('foo', 'baz'),), result[0])
         self.assertEquals((('foo', 'bar'), ('a', 'True')), result[1])
 
-    def test_iter_search_rules_just_tree(self):
+    def _disabled_test_iter_search_rules_just_tree(self):
         per_user = self.make_per_user_searcher('')
         tree = self.make_tree_with_rules(
             "[name ./a.txt]\n"
@@ -64,7 +65,7 @@
         self.assertEquals((('foo', 'baz'),), result[0])
         self.assertEquals((('foo', 'bar'), ('a', 'True')), result[1])
 
-    def test_iter_search_rules_tree_and_per_user(self):
+    def _disabled_test_iter_search_rules_tree_and_per_user(self):
         per_user = self.make_per_user_searcher(
             "[name ./a.txt]\nfoo=baz\n"
             "[name *.txt]\nfoo=bar\na=True\n")

=== modified file 'bzrlib/tree.py'
--- bzrlib/tree.py	2008-08-01 18:19:44 +0000
+++ bzrlib/tree.py	2008-08-14 03:08:42 +0000
@@ -557,11 +557,6 @@
     def _get_rules_searcher(self, default_searcher):
         """Get the RulesSearcher for this tree given the default one."""
         searcher = default_searcher
-        file_id = self.path2id(rules.RULES_TREE_FILENAME)
-        if file_id is not None:
-            ini_file = self.get_file(file_id)
-            searcher = rules._StackedRulesSearcher(
-                [rules._IniBasedRulesSearcher(ini_file), default_searcher])
         return searcher
 
 

=== modified file 'doc/en/user-guide/configuring_bazaar.txt'
--- doc/en/user-guide/configuring_bazaar.txt	2008-06-25 07:32:46 +0000
+++ doc/en/user-guide/configuring_bazaar.txt	2008-08-14 03:08:42 +0000
@@ -52,8 +52,8 @@
 ----------------------
 
 Some commands and plugins provide custom processing on files matching
-certain patterns. Branch-specific and per-user rule-based preferences
-are defined in ``.bzrrules`` and ``BZR_HOME/rules`` respectively.
+certain patterns. Per-user rule-based preferences are defined in
+``BZR_HOME/rules``.
 
 For further information on how rules are searched and the detailed syntax of
 the relevant files, see `Rules <../user-reference/bzr_man.html#rules>`_

